summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndrew Overholt2011-07-22 15:17:40 (EDT)
committerSami Wagiaalla2011-10-04 11:27:31 (EDT)
commit0630e537db846a17f6774e7ec4ad51b8b6994681 (patch)
tree68a2a5e1f130a5e54f21f646179ac822ea85ef70
parent927192990aee7d895603b2a429261941ed8c6949 (diff)
downloadorg.eclipse.linuxtools.eclipse-build-0630e537db846a17f6774e7ec4ad51b8b6994681.zip
org.eclipse.linuxtools.eclipse-build-0630e537db846a17f6774e7ec4ad51b8b6994681.tar.gz
org.eclipse.linuxtools.eclipse-build-0630e537db846a17f6774e7ec4ad51b8b6994681.tar.bz2
Start of work on fetching e4 sources.
-rwxr-xr-xeclipse-build/builde4Source.sh201
-rw-r--r--eclipse-build/patches/e4-addFetchTarget.patch24
-rw-r--r--eclipse-build/patches/e4-removeSkipMapsCheck.patch18
-rw-r--r--eclipse-build/patches/e4-skipMirroring.patch70
4 files changed, 313 insertions, 0 deletions
diff --git a/eclipse-build/builde4Source.sh b/eclipse-build/builde4Source.sh
new file mode 100755
index 0000000..961950f
--- /dev/null
+++ b/eclipse-build/builde4Source.sh
@@ -0,0 +1,201 @@
+#!/bin/bash
+set -e
+
+baseDir=$(pwd)
+workDirectory=
+baseBuilder=
+e4Builder=
+
+buildID="HEAD"
+baseBuilderTag="v20110711"
+e4BuilderTag="HEAD"
+label="4.1.0"
+fetchTests="yes"
+
+cvsRepo=":pserver:anonymous@dev.eclipse.org:/cvsroot/eclipse"
+mapsRoot="org.eclipse.releng/maps"
+
+usage="usage: <build ID> [-workdir <working directory>] [-baseBuilder <path to org.eclipse.releng.basebuilder checkout>] [-e4Builder <path to org.eclipse.releng.e4Builder checkout>] [-baseBuilderTag <org.eclipse.releng.basebuilder tag to check out>] [-noTests]"
+
+while [ $# -gt 0 ]
+do
+ case "$1" in
+ -workdir) workDirectory="$2"; shift;;
+ -workDir) workDirectory="$2"; shift;;
+ -baseBuilder) baseBuilder="$2"; shift;;
+ -baseBuilderTag) baseBuilderTag="$2"; shift;;
+ -e4Builder) e4Builder="$2"; shift;;
+ -e4BuilderTag) e4BuilderTag="$2"; shift;;
+ -noTests) fetchTests="no"; shift;;
+ -help) echo $usage; exit 0;;
+ --help) echo $usage; exit 0;;
+ -h) echo $usage; exit 0;;
+ *) buildID="$1";
+ esac
+ shift
+done
+
+# Must specify a build ID
+if [ "x${buildID}x" = "xx" ]; then
+ echo >&2 "Must specify build ID. Example: R4_1 ."
+ echo >&2 "${usage}"
+ exit 1
+else
+ echo "Going to create source tarballs for ${buildID}."
+fi
+
+if [ "x${workDirectory}x" = "xx" ]; then
+ workDirectory="${baseDir}"
+ echo "Working directory not set; using this directory (${baseDir})."
+fi
+
+if [ "x${baseBuilder}x" = "xx" ]; then
+ baseBuilder="${workDirectory}"/org.eclipse.releng.basebuilder
+ echo "Basebuilder checkout not specified; will check out ${baseBuilderTag} into ${baseBuilder}."
+fi
+if [ "x${e4Builder}x" = "xx" ]; then
+ e4Builder="${workDirectory}"/org.eclipse.releng.e4Builder
+ echo "e4Builder checkout not specified; will check out into ${e4Builder}."
+fi
+
+fetchDirectory="${workDirectory}"/fetch
+mkdir -p "${fetchDirectory}"
+homeDirectory="${workDirectory}"/userhome
+rm -rf "${homeDirectory}"
+mkdir -p "${homeDirectory}"
+workspace="${workDirectory}"/workspace
+rm -rf "${workspace}"
+mkdir -p "${workspace}"
+
+# Fetch basebuilder
+if [ ! -e "${baseBuilder}" ]; then
+ mkdir -p "${baseBuilder}"
+ cd "${baseBuilder}"/..
+ cvs -d${cvsRepo} co -r ${baseBuilderTag} org.eclipse.releng.basebuilder
+ cd "${baseDir}"
+fi
+
+# Fetch e4 builder
+if [ ! -e ${e4Builder} ]; then
+ mkdir -p "${e4Builder}"
+ cd "${e4Builder}"/..
+ cvs -d${cvsRepo} co -r ${e4BuilderTag} -d org.eclipse.e4.builder \
+ e4/releng/org.eclipse.e4.builder
+ cd "${e4Builder}"
+ patch -p0 < "${baseDir}"/patches/e4-addFetchTarget.patch
+# patch -p0 < "${baseDir}"/patches/e4-removeSkipMapsCheck.patch
+ patch -p0 < "${baseDir}"/patches/e4-skipMirroring.patch
+ cd "${baseDir}"
+fi
+
+# Fetch e4 SDK builder
+if [ ! -e ${e4Builder} ]; then
+ mkdir -p "${e4Builder}"
+ cd "${e4Builder}"/..
+ cvs -d${cvsRepo} co -r ${e4BuilderTag} -d org.eclipse.e4.sdk \
+ e4/releng/org.eclipse.e4.sdk
+ cd "${e4Builder}"
+ cd "${baseDir}"
+fi
+
+# Build must be run from within o.e.e4.builder checkout
+cd "${e4Builder}/scripts"
+
+java -jar \
+"${baseBuilder}"/plugins/org.eclipse.equinox.launcher_*.jar \
+-consolelog \
+-data "${workspace}" \
+-application org.eclipse.ant.core.antRunner \
+-f buildAll.xml \
+fetchMasterFeature \
+-DbuildDirectory="${fetchDirectory}" \
+-DskipBase=true \
+-DmapsRepo=${cvsRepo} \
+-DmapCvsRoot=${cvsRepo} \
+-DmapsCvsRoot=${cvsRepo} \
+#-DmapsRoot=${mapsRoot} \
+-DmapsCheckoutTag=${buildID} \
+-DmapVersionTag=${buildID} \
+-Duser.home="${homeDirectory}" \
+2>&1 | tee ${workDirectory}/sourcesFetch.log
+
+cd "${fetchDirectory}"
+
+cd "${fetchDirectory}"
+
+# Remove files from the version control system
+find -depth -name CVS -exec rm -rf {} \;
+
+# Remove prebuilt binaries
+find \( -name '*.exe' -o -name '*.dll' \) -delete
+find \( -name '*.so' -o -name '*.so.2' -o -name '*.a' \) -delete
+find \( -name '*.sl' -o -name '*.jnilib' \) -delete
+find features/org.eclipse.equinox.executable -name eclipse -delete
+find \( -name '*.cvsignore' \) -delete
+
+# Remove unnecessary repo
+rm -rf tempSite
+
+# Remove binary JARs
+find -name '*.jar' -delete
+
+# Remove fetch logs
+rm fetch_*
+
+# Remove temporary files
+find -name '*.orig' -delete
+
+# Remove empty directories
+find -type d -empty -delete
+
+cd ..
+mv fetch e4-${label}-src
+tar cjf "${workDirectory}"/e4-${label}-src.tar.bz2 \
+ e4-${label}-src
+cd "${e4Builder}"
+
+#if [ "${fetchTests}" = "yes" ]; then
+#
+#rm -rf "${fetchDirectory}"/*
+#
+#java -jar \
+#"${baseBuilder}"/plugins/org.eclipse.equinox.launcher_*.jar \
+#-consolelog \
+#-data "${workspace}" \
+#-application org.eclipse.ant.core.antRunner \
+#-f buildAll.xml \
+#fetchSdkTestsFeature \
+#-DbuildDirectory="${fetchDirectory}" \
+#-DskipBase=true \
+#-Dhuson=true \
+#-DmapsRepo=${cvsRepo} \
+#-DmapCvsRoot=${cvsRepo} \
+#-DmapsCvsRoot=${cvsRepo} \
+#-DmapsRoot=${mapsRoot} \
+#-DmapsCheckoutTag=${buildID} \
+#-DmapVersionTag=${buildID} \
+#-Duser.home="${homeDirectory}" \
+#2>&1 | tee "${workDirectory}"/testsFetch.log
+#
+#cd ${workDirectory}
+#mkdir ${workDirectory}/eclipse-sdktests-${label}-src
+#mv ${fetchDirectory}/* ${workDirectory}/eclipse-sdktests-${label}-src
+#tar cjf ${workDirectory}/eclipse-sdktests-${label}-src.tar.bz2 \
+# eclipse-sdktests-${label}-src
+#
+#scriptsDir=org.eclipse.releng.e4Builder/eclipse/buildConfigs/sdk.tests/testScripts
+#testScripts=eclipse-sdktests-${label}-scripts
+#
+## Testing runtests and test.xml scripts which are not in org.eclipse.test
+#rm -rf org.eclipse.releng.e4Builder/eclipse/buildConfigs/sdk.tests/testScripts/*
+#cvs -d ${cvsRepo} co -r ${buildID} ${scriptsDir}
+#
+#mkdir ${testScripts}
+#mv ${scriptsDir}/runtests ${testScripts}
+#mv ${scriptsDir}/test.xml ${testScripts}
+#rm -rf org.eclipse.releng.e4Builder
+#tar cjf ${workDirectory}/eclipse-sdktests-${label}-scripts.tar.bz2 ${testScripts}
+#
+#fi
+
+cd "${baseDir}"
diff --git a/eclipse-build/patches/e4-addFetchTarget.patch b/eclipse-build/patches/e4-addFetchTarget.patch
new file mode 100644
index 0000000..a2ae7ae
--- /dev/null
+++ b/eclipse-build/patches/e4-addFetchTarget.patch
@@ -0,0 +1,24 @@
+### Eclipse Workspace Patch 1.0
+#P org.eclipse.e4.builder
+Index: scripts/buildAll.xml
+===================================================================
+RCS file: /cvsroot/eclipse/e4/releng/org.eclipse.e4.builder/scripts/buildAll.xml,v
+retrieving revision 1.2
+diff -u -r1.2 buildAll.xml
+--- scripts/buildAll.xml 27 Jul 2010 16:33:49 -0000 1.2
++++ scripts/buildAll.xml 20 Jul 2011 19:00:29 -0000
+@@ -46,5 +46,14 @@
+ </ant>
+ </target>
+
++ <target name="fetchMasterFeature" depends="initProperties">
++ <ant antfile="build.xml" dir="${eclipse.pdebuild.scripts}" target="preBuild">
++ <property name="builder" value="${basedir}/../builder/general" />
++ </ant>
++ <ant antfile="build.xml" dir="${eclipse.pdebuild.scripts}" target="fetch">
++ <property name="builder" value="${basedir}/../builder/general" />
++ </ant>
++ </target>
++
+ </project>
+
diff --git a/eclipse-build/patches/e4-removeSkipMapsCheck.patch b/eclipse-build/patches/e4-removeSkipMapsCheck.patch
new file mode 100644
index 0000000..472741c
--- /dev/null
+++ b/eclipse-build/patches/e4-removeSkipMapsCheck.patch
@@ -0,0 +1,18 @@
+### Eclipse Workspace Patch 1.0
+#P org.eclipse.e4.sdk
+Index: builder/customTargets.xml
+===================================================================
+RCS file: /cvsroot/eclipse/e4/releng/org.eclipse.e4.sdk/builder/customTargets.xml,v
+retrieving revision 1.43
+diff -u -r1.43 customTargets.xml
+--- builder/customTargets.xml 29 Jun 2011 14:35:36 -0000 1.43
++++ builder/customTargets.xml 20 Jul 2011 19:02:13 -0000
+@@ -17,7 +17,7 @@
+ <!-- Check out map files from correct repository -->
+ <!-- Replace values for mapsCheckoutTag as desired. -->
+ <!-- ===================================================================== -->
+- <target name="getMapFiles" depends="checkLocalMaps,initLocations" unless="skipMaps">
++ <target name="getMapFiles" depends="checkLocalMaps,initLocations">
+ <property name="mapsCheckoutTag" value="HEAD" />
+ <cvs cvsRoot="${mapsRepo}" package="${mapsRoot_sdk}" dest="${buildDirectory}/maps" tag="${mapsCheckoutTag}" />
+ <cvs cvsRoot="${mapsRepo}" package="${mapsRoot_e4}" dest="${buildDirectory}/maps" tag="${mapsCheckoutTag}" />
diff --git a/eclipse-build/patches/e4-skipMirroring.patch b/eclipse-build/patches/e4-skipMirroring.patch
new file mode 100644
index 0000000..3a979b9
--- /dev/null
+++ b/eclipse-build/patches/e4-skipMirroring.patch
@@ -0,0 +1,70 @@
+### Eclipse Workspace Patch 1.0
+#P org.eclipse.e4.builder
+Index: builder/general/customTargets.xml
+===================================================================
+RCS file: /cvsroot/eclipse/e4/releng/org.eclipse.e4.builder/builder/general/customTargets.xml,v
+retrieving revision 1.98
+diff -u -r1.98 customTargets.xml
+--- builder/general/customTargets.xml 28 Jun 2011 14:01:43 -0000 1.98
++++ builder/general/customTargets.xml 21 Jul 2011 14:56:22 -0000
+@@ -108,60 +108,6 @@
+ <!-- Steps to do after setup but before starting the build proper -->
+ <!-- ===================================================================== -->
+ <target name="postSetup" depends="initLocations">
+- <antcall target="getBaseComponents" />
+-
+- <echo message="Mirror from ${eclipseRepoURL-latest} to ${repoBaseLocation}/eclipseSDK" />
+- <p2.mirror destination="file:${repoBaseLocation}/eclipseSDK" ignoreerrors="true">
+- <source location="${eclipseRepoURL-latest}" />
+- <slicingOptions includeOptional="false" includeNonGreedy="false" latestVersionOnly="true"/>
+- <iu id="org.eclipse.sdk.ide" />
+- <!--<iu id="org.eclipse.equinox.core.sdk.feature.group" /> -->
+- </p2.mirror>
+-
+- <echo message="Mirror from ${orbitRepoURL} to ${repoBaseLocation}/orbit" />
+- <p2.mirror destination="file:${repoBaseLocation}/orbit" ignoreerrors="true">
+- <source location="${orbitRepoURL}" />
+- <slicingOptions includeOptional="false" includeNonGreedy="false" />
+- <iu id="org.apache.commons.beanutils" />
+- <iu id="org.apache.commons.lang" />
+- <iu id="org.junit" version="0.0.0" />
+- <iu id="org.junit.source" version="0.0.0" />
+- <iu id="javax.el" />
+- </p2.mirror>
+-
+- <echo message="Mirror from ${emfRepoURL} to ${repoBaseLocation}/emf" />
+- <p2.mirror destination="file:${repoBaseLocation}/emf" ignoreerrors="true">
+- <source location="${emfRepoURL}" />
+- <slicingOptions includeOptional="false" includeNonGreedy="false" latestVersionOnly="true" />
+- <iu id="org.eclipse.emf.sdk.feature.group" />
+- <iu id="org.eclipse.xsd.edit.feature.group" />
+- </p2.mirror>
+-
+- <echo message="Mirror from ${gefRepoURL} to ${repoBaseLocation}/gef" />
+- <p2.mirror destination="file:${repoBaseLocation}/gef" ignoreerrors="true">
+- <source location="${gefRepoURL}" />
+- <slicingOptions includeOptional="false" includeNonGreedy="false" />
+- <iu id="org.eclipse.gef.feature.group" />
+- </p2.mirror>
+-
+- <echo message="Mirror from ${wtpRepoURL} to ${repoBaseLocation}/wtp" />
+- <p2.mirror destination="file:${repoBaseLocation}/wtp" ignoreerrors="true">
+- <source location="${wtpRepoURL}" />
+- <slicingOptions includeOptional="false" includeNonGreedy="false" />
+- <iu id="org.eclipse.wst.xml_ui.feature.feature.group" />
+- <iu id="org.eclipse.wst.web_core.feature.feature.group" />
+- </p2.mirror>
+-
+- <!--<p2.remove.iu>
+- <repository location="file:${targetDir}/${targetDownloadId}-p2" />
+- <iu id="org.eclipse.rap.jface" />
+- <iu id="org.eclipse.rap.rwt" />
+- <iu id="org.eclipse.rap.ui.forms" />
+- </p2.remove.iu>-->
+-
+- <p2.repo2runnable destination="${transformedRepoLocation}" failOnError="false">
+- <source dir="${repoBaseLocation}" includes="*" excludes="${repoBaseLocation.excludes}"/>
+- </p2.repo2runnable>
+ </target>
+
+ <!-- ===================================================================== -->